package com.reptileclient.jlifeapp.service;

import cn.hutool.core.date.DateTime;
import com.reptileclient.jlifeapp.entity.hm.HmBookTradeOrder;

/**
 * @author fuxubing
 */
public interface HmBookTradeOrderService {
    /**
     * 新增盒马技师作业单
     *
     * @return
     */
    int addHmBookTradeList();

    /**
     * 通过预约手机号一键同步盒马技师作业单数据
     *
     * @param phone
     * @return
     */
    int syncHmBookTradeOrderByPhone(String phone);

    /**
     * 根据时间删除重复数据
     *
     * @param dateTime
     * @return
     */
    int deleteDistinctData(DateTime dateTime);

    /**
     * 查询最新一条
     *
     * @return
     */
    HmBookTradeOrder selectNewOne();

    /**
     * 更新盒马技师作业单
     *
     * @return
     */
    int updateHmBookTradeList() throws InterruptedException;
}
